function discs = Calibrate(unks)

global r s theta z q

mu=unks(1);
phi=unks(2);
c=unks(3);
P=unks(4);
J=unks(5);
W=unks(6);
U=unks(7);
V=unks(8);

T=numel(s);
discs=zeros(8,1);
discs(1)=q-mu*theta^(-0.5);
discs(2)=phi-mu*theta^(0.5);
R=(1/(1+r)).^(1:T);  %  Discounter
discs(3)=P-R*s;  %  PDV of unit productivity flow
discs(4)=q*J-c;
discs(5)=J-(P-W);
discs(6)=W-0.5*(P+U-V);
discs(7)=V-U*R(1:T-1)*(s(1:T-1)-s(2:T));  %  PDV post-separation
discs(8)=U-(z+(phi*(W+V)+(1-phi)*U)/(1+r));

 
